summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPhil Blundell <philb@gnu.org>2004-12-04 22:48:10 +0000
committerPhil Blundell <philb@gnu.org>2004-12-04 22:48:10 +0000
commit708914cac86a11a7b041cf96bfd019fb01000783 (patch)
tree6ed9ba588be1bd70c45ecb6b1ebeaa7c534db9bf
parent54f72f2450e9240c3e4ff5f76a6b9bc1ff6e6d3b (diff)
add shepherd keymap support
BKrev: 41b23eaad3f60-UddA6ByKPngEoT4A
-rw-r--r--gpe-session-scripts/files/zaurus.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/gpe-session-scripts/files/zaurus.sh b/gpe-session-scripts/files/zaurus.sh
index e69de29bb2..073d958d0f 100644
--- a/gpe-session-scripts/files/zaurus.sh
+++ b/gpe-session-scripts/files/zaurus.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+MACHINE=`awk 'BEGIN { FS=": " } /Hardware/ { print $2 } ' </proc/cpuinfo`
+
+case $MACHINE in
+ "SHARP Shepherd" | "SHARP Husky" | "SHARP Corgi")
+ xmodmap - < /etc/X11/shepherd.xmodmap
+ ;;
+esac
+
+if [ -z "`which chkhinge`" ]; then
+ # probably not a clamshell zaurus
+ exit 0
+fi
+
+chkhinge -e
+if [ $? = 12 ]; then
+ xrandr -o right
+fi
+